new;
library tools;
#include fcompare.ext;

output file = tools1.out reset;

let a = 1 0 -1;
let b = 1 1;
c = _polydiv(a,b,5);

str1 = _polystr(a,"x",2);
str2 = _polystr(b,"x",2);
str3 = _polystr(c,"x",2);

print "Let P(x) and Q(x) be two polynomials with";
print;
print "             P(x) = "$+str1;
print "and";
print "             Q(x) = "$+str2;
print "then";
print "        P(x)/Q(x) = "$+str3;

a = rndu(5,1);
a = a/sumc(a);
a = 1|a;
b = _polyinv(a,500);
c = _polymult(a,b);

_fcmptol = 0.0001;

str4 = _polystr(a,"L",4);
str5 = _polystr(b,"L",4);
str6 = _polystr(c,"L",4);

print; print;
print "AR representation A(L)*y(t) = epsilon(t)";
print "----------------------------------------";
print "A(L) = "$+str4;
print;
print "MA representation y(t) = B(L)*epsilon(t)";
print "----------------------------------------";
print "B(L) = "$+str5;
print;
print "Verification: C(L) = A(L)*B(L)";
print "----------------------------------------";
print "C(L) = "$+str6;

output off;
