new;
library tools;

output file = tools5.out reset;

format 9,3;

a = rndn(6,4);
x = a[.,1];

v = householder_v(x);
print "v = ";
print v;
print;

P = householder_P(v);
print "P = ";
print P;
print;

print "P' = ";
print P';
print;

print "P^-1 = ";
print inv(P);
print;

print "     P*x    =  e1*norm(x) ";
e1 = zeros(rows(x),1); e1[1] = 1;
_norm = 2;
print (P*x)~(e1*Vnorm(x));
print;

{q,r} = householder_qr(a);

print "q = ";
print q;
print;

print "r = ";
print r;
print;

print "q'a = (r)";
print q'a;
print;

print "q*r = (a)";
print q*r;
print;

print "a = ";
print a;

output off;


